# Set up basic Kerberos configuration and allow logins via Kerberos rlogin and
# company.

class base::kerberos {
  case $::operatingsystem {
    'redhat': {
      package { 'krb5-workstation': ensure => present }
    }
    'debian', 'ubuntu': {
      # We intentionally don't do anything here currently since some systems
      # use MIT and some use Heimdal.  Eventually, this should be a
      # parameterized class that says what type of Kerberos to install.
    }
    default: {
      err("unsupported OS $::operatingsystem")
    }
  }

  # Basic Kerberos configuration.
  file { '/etc/krb5.conf':
    source => 'puppet:///modules/base/kerberos/etc/krb5.conf',
  }
}

class base::kerberos::dr inherits base::kerberos {
  $drSite = 'yes'
  File['/etc/krb5.conf'] {
    source  => undef,
    content => template('base/kerberos/krb5.conf.erb')
  }
}
